Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6046 - Redhat incorrectly ships some catpages in the man directories
Summary: Redhat incorrectly ships some catpages in the man directories
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-18 12:23 UTC by tchrist
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-01-30 22:07:42 UTC


Attachments (Terms of Use)

Description tchrist 1999-10-18 12:23:52 UTC
One expects to find unformatted versions of the
documentation in the /usr/man/man?/ directories,
and formatted ones in /usr/man/cat?/.  However,
you seem to stick whatever you feel like in
/usr/man/man?/.  This is inconsistent, and wrong.

For example, I found this out unpleasantly while poking
around looking for
manpage stuff on linux.  Yes, doriath below is the redhat
system,
despite whatever the comment in the page says.

--------------------------------------------------

doriath(tchrist)% head /usr/man/man1/mail.1
.\"     $OpenBSD: mail.1,v 1.5 1994/06/29 05:09:32 deraadt
Exp $
.\" Copyright (c) 1980, 1990, 1993
.\"     The Regents of the University of California.  All
rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with
or without
.\" modification, are permitted provided that the following
conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above
copyright
.\"    notice, this list of conditions and the following
disclaimer.
.\" 2. Redistributions in binary form must reproduce the
above copyright

doriath(tchrist)% head /usr/man/man1/mailq.1

MAILQ(1)                     UNIX Reference
Manual                    MAILQ(1)

NAMESYNOPSIS
     mailq [-v]

DESCRIPTION

     mailq - print the mail queue
-------------------------------------------------------

Manpages go in mandirs.
Catpages go in catdirs.

thank you,

--tom

Comment 1 tchrist 1999-10-24 20:56:59 UTC
Here would appear to be the list of these:

/usr/man/man1/mailq.1
/usr/man/man1/newaliases.1
/usr/man/man5/aliases.5
/usr/man/man8/mailstats.8
/usr/man/man8/makemap.8
/usr/man/man8/praliases.8
/usr/man/man8/rmail.8
/usr/man/man8/sendmail.8
/usr/X11R6/man/man1/asmail.1x
/usr/X11R6/man/man1/xmorph.1

A program to find them will be there soon.

Comment 2 Bill Nottingham 2001-01-30 22:07:38 UTC
Most of these are sendmail. Assigning there.

Comment 3 Florian La Roche 2001-02-07 11:22:41 UTC
This is already fixed in current rpms. Thanks for this report.




Note You need to log in before you can comment on or make changes to this bug.